Results 1 to 2 of 2

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Device isn't eligible for the requested build?

  1. #1
    Question Device isn't eligible for the requested build?
    Hello all,

    My iPhone 3GS is currently on iPhone OS 3.0 jailbroken using redsn0w back then.
    Now I want to upgrade to iOS 4, but iTunes returns "This device isn't eligible for the requested build".

    I tried SHIFT+RESTORE and SHIFT+UPGRADE same results. I also tried it on Mac OS X. Tried iTunes 9.0, 9.2.

    So what seems to be the problem?

    Another question, Cydia says I have SHSH on file for 3.0 --> 4.0. Am I in the safe side now and should upgrade normally?

    Thanks all,
    Xandu.


  2. #2
    Livin the iPhone Life jkmonkey's Avatar
    Join Date
    Mar 2010
    Location
    Upstate NY
    Posts
    1,433
    Thanks
    67
    Thanked 254 Times in 245 Posts

    Just hit restore. No need for shift. It'll install 4.0.1. Jailbreak with jailbreakme.com

    Or create a custom 4.0 with pwnage tool. That you can shift+click restore to.
    Last edited by jkmonkey; 2010-08-09 at 05:12 AM. Reason: Automerged Doublepost

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •